ToolzerHub Docs

Get item details (v1)

Returns item detail: title, price, condition, images, brand/mpn/gtin/model, breadcrumbs, and seller store name when present. Returns null for a removed or nonexistent item.

1 credit / requestBilled only on success
GET
/v1/ebay/item/detail

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

item_id_or_url*string

eBay item id, or the item's ebay.com/itm link.

Lengthlength <= 1000
curl -X GET "https://example.com/v1/ebay/item/detail?item_id_or_url=https%3A%2F%2Fwww.ebay.com%2Fitm%2F116115700904" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "item_id": "string",    "url": "string",    "title": "string",    "price": 0,    "currency": "string",    "condition": "string",    "availability": "string",    "images": [      "string"    ],    "brand": "string",    "mpn": "string",    "gtin": "string",    "model": "string",    "breadcrumbs": [      {        "position": 0,        "name": "string",        "url": "string"      }    ],    "seller": {      "store_name": "string"    },    "property1": null,    "property2": null  },  "details": {    "reason": "no_results",    "message": "string"  }}